---
title: String.prototype.trimEnd()
slug: Web/JavaScript/Reference/Global_Objects/String/trimEnd
tags:
  - JavaScript
  - Method
  - Prototype
  - Reference
  - String
---
<div>{{JSRef}}</div>

<p>The <strong><code>trimEnd()</code></strong> method removes whitespace from the end of a string. <code>trimRight()</code> is an alias of this method.</p>

<div>{{EmbedInteractiveExample("pages/js/string-trimend.html")}}</div>

<div class="hidden">The source for this interactive example is stored in a GitHub repository. If you'd like to contribute to the interactive examples project, please clone <a href="https://github.com/mdn/interactive-examples">https://github.com/mdn/interactive-examples</a> and send us a pull request.</div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate"><var>str</var>.trimEnd();
<var>str</var>.trimRight();</pre>

<h3 id="Return_value">Return value</h3>

<p>A new string representing the calling string stripped of whitespace from its (right) end.</p>

<h2 id="Description">Description</h2>

<p>The <code>trimEnd()</code> / <code>trimRight()</code> methods return the string stripped of whitespace from its right end. <code>trimEnd()</code> or <code>trimRight()</code> do not affect the value of the string itself.</p>

<h3 id="Aliasing">Aliasing</h3>

<p>For consistency with functions like {{jsxref("String.prototype.padEnd")}} the standard method name is <code>trimEnd</code>. However, for web compatibility reasons, <code>trimRight</code> remains as an alias to <code>trimEnd</code>. In some engines this means:</p>

<pre class="brush: js notranslate">String.prototype.trimRight.name === "trimEnd";</pre>

<h2 id="Examples">Examples</h2>

<h3 id="Using_trimEnd">Using trimEnd()</h3>

<p>The following example displays the lowercase string <code>'   foo'</code>:</p>

<pre class="brush: js; highlight: [5] notranslate">var str = '   foo  ';

console.log(str.length); // 8

str = str.trimEnd();
console.log(str.length); // 6
console.log(str);        // '   foo'
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('ESDraft', '#sec-string.prototype.trimend', 'String.prototype.trimEnd')}}</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("javascript.builtins.String.trimEnd")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{jsxref("String.prototype.trim()")}}</li>
 <li>{{jsxref("String.prototype.trimStart()")}}</li>
</ul>
